#ifndef REGS_TIM_H
#define REGS_TIM_H

#define CHIP_SUPPORT_TIM_UIF_REMAP              0
#define CHIP_SUPPORT_TIM_OUT_5_6                0
#define CHIP_SUPPORT_TIM_EXT_SYNC_MODE          0
#define CHIP_SUPPORT_TIM_EXT_BREAK              0
#define CHIP_SUPPORT_TIM_EXT_OUT_MODE           0
#define CHIP_SUPPORT_TIM_CH_GROUP               0
#define CHIP_SUPPORT_TIM_ALTFUNC                0

#include "chip_devtype_spec_features.h"
#include "stm32_tim_gen_regs.h"

#define CHIP_REGS_TIM1              ((CHIP_REGS_TIM_T *) CHIP_MEMRGN_ADDR_PERIPH_TIM1)
#define CHIP_REGS_TIM2              ((CHIP_REGS_TIM_T *) CHIP_MEMRGN_ADDR_PERIPH_TIM2)
#define CHIP_REGS_TIM3              ((CHIP_REGS_TIM_T *) CHIP_MEMRGN_ADDR_PERIPH_TIM3)
#define CHIP_REGS_TIM4              ((CHIP_REGS_TIM_T *) CHIP_MEMRGN_ADDR_PERIPH_TIM4)
#define CHIP_REGS_TIM5              ((CHIP_REGS_TIM_T *) CHIP_MEMRGN_ADDR_PERIPH_TIM5)
#define CHIP_REGS_TIM6              ((CHIP_REGS_TIM_T *) CHIP_MEMRGN_ADDR_PERIPH_TIM6)
#define CHIP_REGS_TIM7              ((CHIP_REGS_TIM_T *) CHIP_MEMRGN_ADDR_PERIPH_TIM7)
#define CHIP_REGS_TIM8              ((CHIP_REGS_TIM_T *) CHIP_MEMRGN_ADDR_PERIPH_TIM8)
#define CHIP_REGS_TIM9              ((CHIP_REGS_TIM_T *) CHIP_MEMRGN_ADDR_PERIPH_TIM9)
#define CHIP_REGS_TIM10             ((CHIP_REGS_TIM_T *) CHIP_MEMRGN_ADDR_PERIPH_TIM10)
#define CHIP_REGS_TIM11             ((CHIP_REGS_TIM_T *) CHIP_MEMRGN_ADDR_PERIPH_TIM11)
#ifndef CHIP_DEV_CH32XXXX
#define CHIP_REGS_TIM12             ((CHIP_REGS_TIM_T *) CHIP_MEMRGN_ADDR_PERIPH_TIM12)
#define CHIP_REGS_TIM13             ((CHIP_REGS_TIM_T *) CHIP_MEMRGN_ADDR_PERIPH_TIM13)
#define CHIP_REGS_TIM14             ((CHIP_REGS_TIM_T *) CHIP_MEMRGN_ADDR_PERIPH_TIM14)
#endif


#endif // REGS_TIM_H
